echo off
rem CopyRight(C) 2003, NTT All rights reserved
rem
rem 	XMS2僨乕僞儀乕僗偺嶌惉張棟
rem 		曄峏棜楌
rem 			2004.01.08  怴婯嶌惉  墶嶳 崑
rem
rem 	師偺張棟傪幚峴偟傑偡
rem 	嘆 XMS2僨乕僞儀乕僗偺嶌惉
rem 	嘇 XMS2僨乕僞儀乕僗僥乕僽儖嶌惉
rem		嘊 XMS2僨乕僞儀乕僗僥乕僽儖傊INDEX傪嶌惉
rem 	嘋 XMS2弶婜僨乕僞偺憓擖
rem

set CmsDbUser=%USER_NAME%
set CmsDbPassword=%USER_PASSWORD%
set CmsDbName=%DB_NAME%
set CmsDbPort=%DB_PORT%
set CmsHost=%DB_SERVER%
set CmsDir=%XMS2_DIR%

set SMTFInstFlag=%SMTF_INST_FLAG%
set PCTInstFlag=%PCT_INST_FLAG%
set OFLInstFlag=%OFL_INST_FLAG%

set CLASSPATH=%CmsDir%\bin\db;%CmsDir%\WEB-INF\lib\msbase.jar;%CmsDir%\WEB-INF\lib\mssqlserver.jar;%CmsDir%\WEB-INF\lib\msutil.jar;%CmsDir%\WEB-INF\lib\classes12.jar;
echo on

java DBSet -U %CmsDbUser% -P %CmsDbPassword% -D %CmsDbName% -p %CmsDbPort% -S %CmsHost% -i %CmsDir% -sm %SMTFInstFlag% -pc %PCTInstFlag% -ol %OFLInstFlag%